Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray
Interface RTLight

All Superinterfaces:
  RTObject

All Known Implementing Classes:
  HagensBiDiStrategie1.RTPseudoLight, RTAreaLight, RTDirectionalLight, RTPointLight, RTSpotLight

    public interface RTLight

extends RTObject

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.ray.RTObject
`RTObject.RTObjectUserData`

Method Summary
`float` | `computeBSDF(ShadingEnvironment env, Vector3f in, Vector3f out, boolean adjoint, Color3f bsdf)`
`void` | `generateRandomOrigins(RayList out, int seed)`
`void` | `generateRandomRays(Vector3f out, RayList rays, boolean adjoint, int seed)`
`Point3f` | `getGlobalOrigin()`
`int` | `getLightRays(Ray view, IntersectionDescription desc, ShadowProcessor shadowProcessor, RayList rays)`
`boolean` | `isShadowless()`

Methods inherited from interface de.grogra.ray.RTObject
`getBoundingVolume, getDistance, getIntersectionDescription, getMedium, getShader, getUserData, isConvex, isShadeable, isSolid`

Method Detail

### computeBSDF

    float computeBSDF(ShadingEnvironment env,
                      Vector3f in,
                      Vector3f out,
                      boolean adjoint,
                      Color3f bsdf)

### generateRandomOrigins

    void generateRandomOrigins(RayList out,
                               int seed)

### generateRandomRays

    void generateRandomRays(Vector3f out,
                            RayList rays,
                            boolean adjoint,
                            int seed)

### getGlobalOrigin

    Point3f getGlobalOrigin()

### getLightRays

    int getLightRays(Ray view,
                     IntersectionDescription desc,
                     ShadowProcessor shadowProcessor,
                     RayList rays)

### isShadowless

    boolean isShadowless()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD